Page MenuHomePhabricator

Lower quotas to current usage for dwl (when ready)
Closed, ResolvedPublic

Description

We're running into a shortage of resources in our project and would like to have room for a small and a xlarge instance.

Event Timeline

Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptDec 5 2016, 9:37 PM
Giftpflanze updated the task description. (Show Details)Dec 5 2016, 9:44 PM
Andrew added a subscriber: Andrew.Dec 19 2016, 2:15 AM

Can you tell me more about what resources you're running short of? Is it possible this can be addressed via logfile rotation or query optimization, etc.?

Giftpflanze added a comment.EditedDec 19 2016, 7:02 PM

We need more RAM for data processing. We are not aware of other possibilities. Afais, "bigram" has even more RAM, so we'd like to have enough room for 1 small and 1 bigram instance.

doctaxon added a comment.EditedJan 9 2017, 6:17 PM

Conversation in freenode channel Jan 09th 2017:

17:50 < annika> andrewbogott: yuvipanda: whoever: is https://phabricator.wikimedia.org/T152456 ready for a decision? do you need more input?
17:59 < andrewbogott> annika: we're all at a conference this week so won't be super responsive. I think regarding the quota increase, it would help if you can add more details about what in particular you want to do with the extra ram (like, more data processing, but what data, and processing it how, etc.)
17:59 < andrewbogott> (sorry for the drive-by, returning to my conf session now)
18:11 < doctaxon> andrewbogott, we need the quota, because we are creating a huge quality management of dewiki, running round the clock, but at least once or twice daily. So it's necessary to get a huge amount of data of quality categories and quality list pages, templates, pagelinks and more by API and mySQL too, beyond dewiki too, and these data has to be processed too and output again. The quota now is much too
18:11 < doctaxon> small, so memory is running out time to time and CPU is critically. I hope, this helps. Thank you

For reference: An xlarge and a small instance would would be an increase from 8 cores to 9 cores, and from 16Gb to 18Gb. I would probably raise the quota more than that to allow transition to the new instances, then reduce after the transition is done. Folks, do those numbers sound right?

Considering my earlier comment (bigram instance), the needed numbers would be 1+8=9 cores and 2+36=38GB. But otherwise you're right. And I actually planned to do the transition without additional temporary resources. But it surely would give us more security.

Andrew changed the task status from Open to Stalled.Jan 24 2017, 4:28 PM

Sorry for the delay!

I've adjusted quotas so that you have headroom to add one bigram instance on top of what you have in the project now. After you're done migrating and deleting old instances, comment on this bug and I'll drop the quota back down to current usage.

Andrew renamed this task from Increase resource quota for dwl to Lower quotas to current usage for dwl (when ready).Jan 24 2017, 4:29 PM

So, we deleted the old instace before creating the new one anyway because we wanted to keep the name. You can now readjust the quota.

Andrew closed this task as Resolved.Feb 13 2017, 4:11 PM
Andrew claimed this task.

Quota reverted, thank you!